package com.ruoyi.common.core.domain.entity;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 用户收藏音乐对象 user_collect
 * 
 * @author ruoyi
 * @date 2025-07-15
 */
public class UserCollect extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 音乐id */
    @Excel(name = "音乐id")
    private Long musicId;

    /** 收藏名称 */
    @Excel(name = "收藏名称")
    private String collectName;

    /** 歌单类型 音乐类型 ordinary 混音mixing */
    @Excel(name = "歌单类型 音乐类型 ordinary 混音mixing")
    private String collectType;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }

    public void setMusicId(Long musicId) 
    {
        this.musicId = musicId;
    }

    public Long getMusicId() 
    {
        return musicId;
    }

    public void setCollectName(String collectName) 
    {
        this.collectName = collectName;
    }

    public String getCollectName() 
    {
        return collectName;
    }

    public void setCollectType(String collectType) 
    {
        this.collectType = collectType;
    }

    public String getCollectType() 
    {
        return collectType;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("userId", getUserId())
            .append("musicId", getMusicId())
            .append("collectName", getCollectName())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("collectType", getCollectType())
            .toString();
    }
}
